Package jaxe

# Class FonctionAjStyle

java.lang.Object
jaxe.FonctionAjStyle

All Implemented Interfaces:
  `Fonction`

public class FonctionAjStyle extends Object implements Fonction
Fonction permettant d'appliquer un style sur une zone du document. La référence de l'élément correspondant au style ajouté est passé en paramètre du constructeur.

## Constructor Summary

Constructors
Constructor
Description
`FonctionAjStyle(Element refElement)`
Attention, contrairement à ce qui est expliqué dans Fonction, ce constructeur ne prend pas en paramètre la définition d'un menu, mais la référence d'un élément.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`appliquer(JaxeDocument doc, int start, int end)`
Applique la fonction au document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FonctionAjStyle

public FonctionAjStyle(Element refElement)
Attention, contrairement à ce qui est expliqué dans Fonction, ce constructeur ne prend pas en paramètre la définition d'un menu, mais la référence d'un élément.

## Method Details

### appliquer

public boolean appliquer(JaxeDocument doc, int start, int end)
Description copied from interface: `Fonction`
Applique la fonction au document. La position de la sélection du texte est donnée par start et end. start == end s'il n'y a pas de sélection (dans ce cas c'est juste la position du curseur).

Specified by:
  `appliquer` in interface `Fonction`